
REM run-ticker.bat - run the stock ticker simulator

@echo off

set LCP=.
REM Default locations of jars we depend on 

IF EXIST %JAVA_HOME%  GOTO Ok

ECHO Looking for JAVA_HOME at C:\j2sdk1.4.1_01

SET JAVA_HOME=C:\j2sdk1.4.1_01

IF NOT EXIST %JAVA_HOME% GOTO No_java
ECHO Found!
GOTO Ok

:No_java

ECHO Please set JAVA_HOME. Exitting... 
goto EOF

:Ok

ECHO JAVA_HOME is set to %JAVA_HOME%

for %%i in (.\*.jar) do call lcp.bat %%i

REM This automatically adds system classes to CLASSPATH
IF EXIST %JAVA_HOME%\jre\lib\tools.jar   set LCP=%LCP%;%JAVA_HOME%\jre\lib\tools.jar

ECHO %JAVA_HOME%\jre\bin\java.exe -classpath "%LCP%" powerquotes.datafeed.StockTicker 1000 1 stockinfo.props %1

%JAVA_HOME%\jre\bin\java.exe -classpath "%LCP%" powerquotes.datafeed.StockTicker 1000 1 stockinfo.props %1
